Bug 156305 - Additional info for Xorg/XFree86
Additional info for Xorg/XFree86
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: sysreport (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2005-04-28 15:08 EDT by Kevin E. Martin
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-12 04:49:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kevin E. Martin 2005-04-28 15:08:26 EDT
Marty Wesley asked me to file a bug against sysreport to include other info
about X-related configuration, log files and system resources.  Below is the
list that my team came up with:

- /etc/X11/xorg.conf* (or /etc/X11/XF86Config* if using XFree86)
- /var/log/Xorg.*.log (or /var/log/XFree86.*.log if using XFree86)
  Note that the first screen, e.g., Xorg.0.log, is already captured, we're
  asking for the other screens
- /etc/X11/xdm/xdm-config, /etc/X11/gdm/gdm.conf, /etc/kde/kdm/kdmrc
- the output from lsusb (and lshal) for additional input devices
Comment 1 Ngo Than 2005-05-09 10:19:32 EDT
/etc/X11/xdm/xdm-config, /etc/X11/gdm/gdm.conf, /etc/kde/kdm/kdmrc are already
captured in current version.

Another feature are now included in sysreport-1.3.15-1. I will build it in
RHEL4-U2 tree this week.
Comment 3 Ngo Than 2005-05-09 12:01:08 EDT
sure, i will build new version include this fix into RHEL3-U6
Comment 4 Mike A. Harris 2005-05-10 04:03:11 EDT
>- /var/log/Xorg.*.log (or /var/log/XFree86.*.log if using XFree86)
>  Note that the first screen, e.g., Xorg.0.log, is already captured, we're
>  asking for the other screens

Please change the log glob to be:  (Xorg|XFree86).*.log*

The reason for the trailing *, is because the X server renames the existing
log file to .old if present when it starts up.  What often happens when we
ask someone to attach a log file, is that they only know how to do this using
a GUI browser such as mozilla, in X, and may only have one computer system
available.  If they have a crash, reboot, and then start up X, the X server
renames the log file from the crash to ".old" and when they go to attach
the log file, 9 times out of 10 they attach the one from the current session,
rather than the one from the session that crashed.

By including all X server log files, we have all of the information,
and can possibly find more details that they wouldn't have known to include,
and which we may have not known they had to offer.  Getting all logs would
be a win-win, even if we end up not finding them useful in the end.

Also, for config file, please include /etc/X11/XF86Config* and
/etc/xorg*.conf for *all* OS releases, as Xorg accepts XF86Config
as a valid config filename and some people are using the old config
file names still.  Again, it's better to include more stuff than to
have less and wish there were more.

It'd also be nice to know the full list of rpm packages they have
installed for the regular expressions:  /^XFree86-.*/, /^xorg-x11-.*/

One more thing if possible, is if you could have it do an "rpm -V" on
each of the XFree86-* and xorg-x11-* packages that are installed, in
order to determine if they have intact Red Hat supplied rpms installed.

Quite often, people install ATI or Nvidia's proprietary drivers on top
of our X installation, which overwrites various XFree86 or Xorg supplied
libaries or X server modules, such as libGL, libglx.a, and possibly others.
This is often the cause of their problem, but not always aparent to
us unless we guess randomly that they might have done so, ask them, and
they're honest about it.  Some people compile dri.sf.net X drivers or
modules, or download precompiled drivers or modules from the DRI project,
from Intel's website, Matrox, or other sites, however we have no easy
way of knowing this at a first glance.  If we could get the "rpm -V"
output of the X packages in every sysreport, we would know immediately
wether any Red Hat supplied modules were replaced, renamed or removed,
which would be a big help.

That, in combination with all the config files and logs would let us
know much much more information than we usually get from people even
after begging them several times.  ;o)  Since we usually have to manually
ask for all of this stuff, and often never get it, or only get part of it
from people, getting it automatically would save us a tremendous amount
of time and effort, and would help to reduce troubleshooting and turnaround
times greatly.

Thanks very much for making the changes to sysreport for this that were
already made, and please consider these additional enhancements.  I'll
set this back to ASSIGNED for now, so it doesn't get lost.

Again, many thanks!
Comment 5 Ngo Than 2005-05-10 04:49:50 EDT
ok, the above features are now in new sysreport-1.3.15-1.
some of them were already included in the old version.

Note You need to log in before you can comment on or make changes to this bug.